aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/tools/testing/selftests/memory-hotplug
diff options
context:
space:
mode:
authorZhao Gongyi <zhaogongyi@huawei.com>2022-09-30 14:35:24 +0800
committerShuah Khan <skhan@linuxfoundation.org>2022-10-07 10:31:58 -0600
commit13023c33c962730a38d6b43995910c8805637a9a (patch)
tree45632c6211d15d44382fc068ef43b8a89ebd7f58 /tools/testing/selftests/memory-hotplug
parentselftests/ftrace: func_event_triggers: fix typo in user message (diff)
downloadwireguard-linux-13023c33c962730a38d6b43995910c8805637a9a.tar.xz
wireguard-linux-13023c33c962730a38d6b43995910c8805637a9a.zip
selftests/memory-hotplug: Add checking after online or offline
Add checking for online_memory_expect_success()/ offline_memory_expect_success()/offline_memory_expect_fail(), or the test would exit 0 although the functions return 1. Signed-off-by: Zhao Gongyi <zhaogongyi@huawei.com> Reviewed-by: David Hildenbrand <david@redhat.com> Signed-off-by: Shuah Khan <skhan@linuxfoundation.org>
Diffstat (limited to 'tools/testing/selftests/memory-hotplug')
-rwxr-xr-xtools/testing/selftests/memory-hotplug/mem-on-off-test.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
index 46a97f318f58..1d87611a7d52 100755
--- a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
+++ b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
@@ -266,7 +266,9 @@ done
#
echo $error > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_ONLINE/error
for memory in `hotpluggable_offline_memory`; do
- online_memory_expect_fail $memory
+ if ! online_memory_expect_fail $memory; then
+ retval=1
+ fi
done
#
@@ -274,7 +276,9 @@ done
#
echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_ONLINE/error
for memory in `hotpluggable_offline_memory`; do
- online_memory_expect_success $memory
+ if ! online_memory_expect_success $memory; then
+ retval=1
+ fi
done
#
@@ -283,7 +287,9 @@ done
echo $error > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_OFFLINE/error
for memory in `hotpluggable_online_memory`; do
if [ $((RANDOM % 100)) -lt $ratio ]; then
- offline_memory_expect_fail $memory
+ if ! offline_memory_expect_fail $memory; then
+ retval=1
+ fi
fi
done